EZ_Materialf(3)

NAME
EZ_Materialf, EZ_Materialfv - set material parameters

SYNOPSIS
#include <EZ.h>

void EZ_Materialf(int face, int attr, float values)
void EZ_Materialfv(int face, int attr, float *pvalues)

ARGUMENTS
face Specifies which face or faces are being updated. Must be one of EZ_FRONT, EZ_BACK, EZ_FRONT_AND_BACK.

attr Specifies which material properties are being updated. Must be one of EZ_EMISSION, EZ_AMBIENT, EZ_DIFFUSE, EZ_SPECULAR, EZ_SHININESS, EZ_AMBIENT_AND_DIFFUSE or EZ_COLOR_INDICES.

values Specifies the values for the specified attr.

pvalues Specifies the values for the specified attr in an array of floats.

DESCRIPTION
EZ_Materialf/EZ_Materialfv sets values for material properties. If the EZ_TWOSIDE lighting model is enabled, there are two sets of material parameters. One for front-facing polygons and one for back-facing polygons.

If attr is one of EZ_EMISSION, EZ_AMBIENT, EZ_DIFFUSE, EZ_SPECULAR or EZ_AMBIENT_AND_DIFFUSE. values should consist of 4 floats and pvalues should be an array of 4 floats, with each in interval [0.0, 1.0].

If attr is EZ_SHININESS, values is a float point number between 0.0 and 128.0

If attr is EZ_COLOR_INDICES, values should be 3 floating point numbers.

SEE ALSO
EZ_Color3f(3), EZ_Normal3f(3), EZ_Vertex3f(3), EZ_Lightf(3), EZ_DefineMaterial(3)